Bug 1415258 - Unexpanded @LIBPNG_LDFLAGS@ in pkgconfig
Summary: Unexpanded @LIBPNG_LDFLAGS@ in pkgconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pstoedit
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sebastian Kisela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 16:49 UTC by Jaroslav Škarvada
Modified: 2018-07-31 18:01 UTC (History)
3 users (show)

Fixed In Version: pstoedit-3.70-10.fc27 pstoedit-3.70-10.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 17:09:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Škarvada 2017-01-20 16:49:44 UTC
Description of problem:
It seems @LIBPNG_LDFLAGS@ wasn't expanded during build which resulted in wrong pkgconfig.

Version-Release number of selected component (if applicable):
pstoedit-devel-3.70-5.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. pkg-config --libs pstoedit

Actual results:
-lpstoedit @LIBPNG_LDFLAGS@ -lstdc++ -ldl

Expected results:
-lpstoedit -lpng -lstdc++ -ldl


Additional info:

Comment 1 Peter Lemenkov 2017-10-16 12:50:53 UTC
Still present in Fedora 27

Comment 2 Fedora End Of Life 2017-11-16 19:22:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:49:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Peter Lemenkov 2017-12-12 12:04:19 UTC
Still valid issue. Reopening it.

Comment 5 Fedora End Of Life 2018-02-20 15:32:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Sebastian Kisela 2018-04-12 14:01:15 UTC
Yes you are right, the configuration is broken since the latest 3.70 release. 

It looks like it was made intentionally as the lines expanding @LIBPNG_LDFLAGS@ were commented out.

I contacted the maintainer to get some idea what was behind that decision.

Comment 7 Fedora Update System 2018-04-13 13:35:29 UTC
pstoedit-3.70-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d9acc515ff

Comment 8 Fedora Update System 2018-04-13 13:46:22 UTC
pstoedit-3.70-10.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ffd600b05

Comment 9 Fedora Update System 2018-04-15 02:26:12 UTC
pstoedit-3.70-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d9acc515ff

Comment 10 Fedora Update System 2018-04-15 16:22:06 UTC
pstoedit-3.70-10.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ffd600b05

Comment 11 Fedora Update System 2018-07-31 17:09:44 UTC
pstoedit-3.70-10.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-07-31 18:01:07 UTC
pstoedit-3.70-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.